import java.util.ArrayList;
import java.util.Scanner;

public class DistinctNumbers {
  public static void main(String[] args) {
    ArrayList<Integer> list = new ArrayList<>();
    
    Scanner input = new Scanner(System.in);   
    System.out.print("Podaj liczby całkowite (0 kończy wprowadzanie): ");
    int value;
    
    do {
      value = input.nextInt(); // Wczytywanie wartości z danych wejściowych
      
      if (!list.contains(value) && value != 0) 
        list.add(value); // Dodawanie nowych wartości do listy
    } while (value != 0);

    // Wyświetlanie liczb bez powtórzeń
    System.out.print("Liczby bez powtórzeń: ");
    for (int i = 0; i < list.size(); i++) 
      System.out.print(list.get(i) + " ");
  }
}
